Origins Endpoint

Overview

Each WAF instance proxies client (browser, mobile apps, front end website) requests to one or more origin endpoints. You can use the API to manipulate these endpoints for load balancing, disaster recovery or testing configurations.

GET /api/origins

Requests what the current primary origin endpoint is for the WAF instance.

Required Parameters

  • api_key - your API Key

Request Format

GET /api/origins

Parameters

` api_key=example-api-key `

Response - HTTP 200 - application/json
 {
 	"domain": "example.com",
	 "success": true,
	 "origin": "example-app.herokuapp.com"
}
Curl Formatted Example

curl https://api.expeditedsecurity.com/api/origins/?api_key=YOUR-API-KEY

POST /api/origins

Adds a new origin endpoint to the WAF instance.

Required Parameters

  • api_key - your API Key
  • origin - the new endpoint origin for the WAF
  • origin_type - either 'alternate' or 'backup'

Request Format

POST /api/origins

Parameters

` api_key=YOUR-API-KEY origin=secondary-app.herokuapp.com origin_type=alternate `

Response - HTTP 200 - application/json
{
	 "domain": "example.com", 
	"success": true
}
Curl Formatted Example

curl -d "api_key=YOUR-API-KEY&origin=secondary-app.herokuapp.com&origin_type=alternate" https://api.expeditedsecurity.com/api/origins/

DELETE /api/origins

Removes an origin endpoint from the WAF instance.

Required Parameters

  • api_key - your API Key
  • origin - the endpoint origin to remove from the WAF

Request Format

DELETE /api/origins

Parameters

` api_key=YOUR-API-KEY origin=secondary-app.herokuapp.com `

Response - HTTP 200 - application/json
{
	"domain": "example.com",
	"success": true
}
Curl Formatted Example

curl -X "DELETE" https://api.expeditedsecurity.com/api/origins/ -d "api_key=YOUR-API-KEY&origin=secondary-app.herokuapp.com"

API Help

We're happy to help you build whatever functionality you need with the API.

Please don't hesitate to :

  • Contact us at support@expeditedsecurity.com
  • Book a Call at https://app.harmonizely.com/expedited/30-min

We are a team of developers and sysadmins who can help troubleshoot and debug whatever API interactions you need to create.